Bug 610140 - mrepo ignores createrepo-options during forced updates
mrepo ignores createrepo-options during forced updates
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mrepo (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 11:47 EDT by Tom McLaughlin
Modified: 2010-07-30 04:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: mrepo-0.8.7-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 21:05:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McLaughlin 2010-07-01 11:47:18 EDT
Description of problem:
When running mrepo with the -f option the createrepo-options line in mrepo.conf gets ignored.

Below is a diff from SVN for the fix present in 0.8.7

***
--- trunk/tools/mrepo/mrepo	2008/10/09 11:01:31	6506
+++ trunk/tools/mrepo/mrepo	2008/10/12 11:18:10	6511
@@ -830,7 +830,7 @@
 
         opts = ' ' + cf.createrepooptions
         if op.force:
-            opts = ' --pretty'
+            opts = ' --pretty' + opts
         if op.verbose <= 2:
             opts = ' --quiet' + opts
         elif op.verbose >= 4:

***

http://svn.rpmforge.net/viewvc/rpmforge/trunk/tools/mrepo/mrepo?r1=6506&r2=6511

Version-Release number of selected component (if applicable):
0.8.6-6.el5

How reproducible:
Every time

Steps to Reproduce:
1. Add a createrepo-options line under [main] in mrepo.conf
2. `mrepo -fg`
Comment 1 James Findley 2010-07-06 10:35:01 EDT
This package was recently orphaned - I've picked it up as of yesterday and am looking at either back porting this particular fix or just updating the version available to 0.8.7.  Look forward to an updated rpm in epel-testing in the next couple of days, I will ping this bug to let you know when it's available for testing.
Comment 2 Fedora Update System 2010-07-08 08:38:28 EDT
mrepo-0.8.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mrepo-0.8.7-1.fc12
Comment 3 Fedora Update System 2010-07-08 08:38:42 EDT
mrepo-0.8.7-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mrepo-0.8.7-1.fc13
Comment 4 Fedora Update System 2010-07-08 14:14:54 EDT
mrepo-0.8.7-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrepo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrepo-0.8.7-1.fc12
Comment 5 Fedora Update System 2010-07-08 14:15:12 EDT
mrepo-0.8.7-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrepo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrepo-0.8.7-1.fc13
Comment 6 Fedora Update System 2010-07-09 11:26:42 EDT
mrepo-0.8.7-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mrepo-0.8.7-1.el5
Comment 7 James Findley 2010-07-09 11:40:25 EDT
Update submitted to epel-testing.  Please let me know if it fixes your issue -
you could even add bodhi karma to get it into stable more speedily at
https://admin.fedoraproject.org/updates/mrepo-0.8.7-1.el5 if you like.

Thanks!
Comment 8 Fedora Update System 2010-07-09 14:56:47 EDT
mrepo-0.8.7-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrepo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrepo-0.8.7-1.el5
Comment 9 Tom McLaughlin 2010-07-26 11:43:33 EDT
Sorry for the delay, just updated and it looks good.
Comment 10 Fedora Update System 2010-07-29 21:04:48 EDT
mrepo-0.8.7-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-07-30 04:32:18 EDT
mrepo-0.8.7-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-07-30 04:38:22 EDT
mrepo-0.8.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.